Skip to main content
GET
Get contract by address

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://voyager.online/plans

Path Parameters

contractAddress
string
required

Starknet contract address (0x-prefixed hex).

Pattern: ^(0x[0-9a-fA-F]{1,66})$

Response

Contract details

address
string
required
blockNumber
number
required
isAccount
boolean
required
isErcToken
boolean
required
isProxy
boolean
required
type
string
required
creationTimestamp
number
required
verifiedTimestamp
number | null
required
classAlias
string | null
required
contractAlias
string | null
required
classHash
string
required
version
string | null
required
blockHash
string
required
nonce
number
required
implementationContract
string | null
required
tokenName
string | null
required
tokenSymbol
string | null
required